org.springframework.cloud.dataflow.rest.client

## Interface JobOperations

- All Known Implementing Classes:
    JobTemplate

      public interface JobOperations

  Interface defining operations available for jobs.
  Author:
    Glenn Renfro

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.springframework.hateoas.PagedModel<JobExecutionResource>` | `executionList()`
    `org.springframework.hateoas.PagedModel<JobExecutionResource>` | `executionListByJobName(String jobName)` List job executions known to the system filtered by job name.
    `void` | `executionRestart(long id)` Restarts a job by id
    `org.springframework.hateoas.PagedModel<JobExecutionThinResource>` | `executionThinList()`
    `org.springframework.hateoas.PagedModel<JobExecutionThinResource>` | `executionThinListByJobName(String jobName)` List job executions without step executions known to the system filtered by job name.
    `org.springframework.hateoas.PagedModel<JobInstanceResource>` | `instanceList(String jobName)`
    `JobExecutionResource` | `jobExecution(long id)` Return the `JobExecutionResource` for the id specified.
    `JobInstanceResource` | `jobInstance(long id)` Return the `JobInstanceResource` for the id specified.
    `org.springframework.hateoas.PagedModel<StepExecutionResource>` | `stepExecutionList(long jobExecutionId)` List step executions known for a specific job execution id.
    `StepExecutionProgressInfoResource` | `stepExecutionProgress(long jobExecutionId, long stepExecutionId)` Return StepExecutionProgressInfoResource for a specific job execution id and step execution Id.

- - ### Method Detail

    - #### executionList

          org.springframework.hateoas.PagedModel<JobExecutionResource> executionList()

      Returns:
        the list job executions known to the system.

    - #### executionRestart

          void executionRestart(long id)

      Restarts a job by id
      Parameters:
        `id` - job execution id

    - #### executionThinList

          org.springframework.hateoas.PagedModel<JobExecutionThinResource> executionThinList()

      Returns:
        the list job executions without step executions known to the system.

    - #### instanceList

          org.springframework.hateoas.PagedModel<JobInstanceResource> instanceList(String jobName)

      Parameters:
        `jobName` - the name of the job
      Returns:
        the list job instances for the specified jobName.

    - #### executionThinListByJobName

          org.springframework.hateoas.PagedModel<JobExecutionThinResource> executionThinListByJobName(String jobName)

      List job executions without step executions known to the system filtered by job name.
      Parameters:
        `jobName` - of the executions.
      Returns:
        the list of job executions

    - #### executionListByJobName

          org.springframework.hateoas.PagedModel<JobExecutionResource> executionListByJobName(String jobName)

      List job executions known to the system filtered by job name.
      Parameters:
        `jobName` - of the executions.
      Returns:
        the list of job executions

    - #### jobExecution

          JobExecutionResource jobExecution(long id)

      Return the `JobExecutionResource` for the id specified.
      Parameters:
        `id` - identifier of the job execution
      Returns:
        `JobExecutionResource`

    - #### jobInstance

          JobInstanceResource jobInstance(long id)

      Return the `JobInstanceResource` for the id specified.
      Parameters:
        `id` - identifier of the job instasnce
      Returns:
        `JobInstanceResource`

    - #### stepExecutionList

          org.springframework.hateoas.PagedModel<StepExecutionResource> stepExecutionList(long jobExecutionId)

      List step executions known for a specific job execution id.
      Parameters:
        `jobExecutionId` - the id of the job execution.
      Returns:
        the paged list of step executions

    - #### stepExecutionProgress

          StepExecutionProgressInfoResource stepExecutionProgress(long jobExecutionId,
                                                                  long stepExecutionId)

      Return StepExecutionProgressInfoResource for a specific job execution id and step execution Id.
      Parameters:
        `jobExecutionId` - the id of the job execution for the step to be returned.
        `stepExecutionId` - the id step execution to be returned.
      Returns:
        the step execution progress info

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.